package net.pokeranalytics.android.ui.view.rowrepresentable

import net.pokeranalytics.android.R
import net.pokeranalytics.android.ui.fragment.components.bottomsheet.BottomSheetType
import net.pokeranalytics.android.ui.view.DefaultEditDataSource
import net.pokeranalytics.android.ui.view.RowRepresentable
import net.pokeranalytics.android.ui.view.RowViewType

enum class TransactionTypeRow : RowRepresentable, DefaultEditDataSource {
	TRANSACTION_ADDITIVE;

	override val resId: Int?
		get() {
			return when (this) {
				TRANSACTION_ADDITIVE -> R.string.additive
			}
		}

	override val viewType: Int
		get() {
			return when (this) {
				TRANSACTION_ADDITIVE -> RowViewType.TITLE_SWITCH.ordinal
			}
		}

	override val bottomSheetType: BottomSheetType
		get() {
			return when (this) {
				TRANSACTION_ADDITIVE -> BottomSheetType.NONE
			}
		}



}
